Resynchronize Deployments
-
POST
/deployments/_resync
Auth
Resynchronizes the search index for all the deployments.
-
skip_matching_version
boolean · default: true
-
When true, skips the document indexing when the version matches the in-memory copy.
The deployments resync operation executed successfully.
application/json
-
created
string[]
required
-
The ids of documents created in the index by index version
-
updated
string[]
required
-
The ids of documents updated in the index by index version
-
deleted
string[]
required
-
The ids of documents deleted from the index by index version
-
errors
string[]
required
-
The regions where document synchronization may have failed
The deployments resync operation failed. (code: deployments.resync_failed)
application/json
-
errors
object[]
required
-
A list of errors that occurred in the failing request
-
-
code
string
required
-
A structured code representing the error type that occurred
-
message
string
required
-
A human readable message describing the error that occurred
-
fields
string[]
-
If the error can be tied to a specific field or fields in the user request, this lists those fields